//
//  main.c
//  es_2-File
//
//  Created by Pumo on 19/12/12.
//  Copyright (c) 2012 Pumo. All rights reserved.
//

#include <stdio.h>
#include <stdlib.h>
#include "element.h"
#include "function.h"

int main(int argc, const char * argv[])
{
    FILE *fo, *fo2;
    int dimLogic;
    int codCourse;
    int numStudents;
    Element *students;
    float rageStud;
    
    students = (Element*) malloc(sizeof(Element) * MAXDIM); // Dinamic allocation of structure
    
    // Opening files
    fo = fopen("/Users/pumo93/Documents/XCode/es_2-File/es_2-File/dati.txt", "r");
    if (fo == NULL) {
        printf("Error opening file dati.txt"); exit(1);
    }
    fo2 = fopen("/Users/pumo93/Documents/XCode/es_2-File/es_2-File/indirizzi.txt", "r");
    if (fo2 == NULL) {
        printf("Error opening file indirizzi.txt"); exit(1);
    }
    
    // Fill structure
    dimLogic = makeTable(students, MAXDIM, &numStudents, fo, fo2);
    
    // Rage of students in specific course
    printf("Insert course's code to see the rage of students registered: ");
    scanf("%d", &codCourse);
    rageStud = rageCourse(students, numStudents, codCourse, fo);
    printf("The rage of students registered in the course %d is: %.2f%%", codCourse, rageStud);
    
    // Bologna's students
    bolognaStudents(fo2, dimLogic);
    
    
    free(students);
    fclose(fo);
    fclose(fo2);
    
    printf("\n\n");
    return 0;
}

