#include "element.h"
#include <stdio.h>
#include <string.h>

void assign(Element *lvalue, Element rvalue) {
    *lvalue = rvalue;
}
void swap(Element *e1, Element *e2) {
    Element tmp;
    assign(&tmp, *e1);
    assign(e1, *e2);
    assign(e2, tmp);
}

// Nel caso di interi...
#if 0
int compare(Element e1, Element e2) {
    return e1 - e2;
}
#endif

// Nel caso di strutture e confronti di interi
#if 0
int compare(Element e1, Element e2) {
    return e1.height - e2.height;
}
#endif

// Nel caso di strutture e confronti di char
#if 1
int compare(Element e1, Element e2) {
    return strcmp(e1.name, e2.name);
}
#endif


#if 0
//Nel caso di stringhe...
int compare(Element e1, Element e2) {
    return strcmp(e1, e2);
}
#endif
