#ifndef ELEMENT
#define ELEMENT

#define MAXDIM 100

typedef struct{
    int matricola;
    char name[21];
    char surname[31];
    char address[31];
    char city[31];
    int cap;
    int cdl;
} Studente;


typedef enum {FALSE, TRUE} Boolean;

#if 1
typedef Studente Element; // Nel caso di strutture
#endif

#if 0
typedef int Element; // Nel caso di interi
#endif

#if 0
typedef char Element; // Nel caso di stringhe
#endif


// OPERAZIONI
int compare(Element e1, Element e2); // <0 , 0 , >0
void swap(Element *e1, Element *e2);
void assign(Element *lvalue, Element rvalue);

#endif

