//
//  function.c
//  es_2-File
//
//  Created by Pumo on 19/12/12.
//  Copyright (c) 2012 Pumo. All rights reserved.
//

#include <stdio.h>
#include <stdlib.h>
#include "function.h"
#include <string.h>

// Fill structure
int makeTable(Element *students, int dim, int *numStudents, FILE *fo, FILE *fo2){
    int i;
    int cod;
    int cod2, cdl, cap;
    char name[21], surname[31], address[31], city[31];
    
    i = 0;
    *numStudents = 0;
    while (fscanf(fo, "%d%d", &cod, &cdl) == 2){
        while (fscanf(fo2, "%d%s%s%s%s%d", &cod2, name, surname, address, city, &cap) == 6)
            if (cod == cod2){
                strcpy(students[i].name, name);
                strcpy(students[i].surname, surname);
                strcpy(students[i].address, address);
                strcpy(students[i].city, city);
                students[i].cap = cap;
                students[i].matricola = cod2;
                students[i].cdl = cdl;
                i++;
            }
        rewind(fo2);
        *numStudents = 1 + *numStudents;
    }
    
    rewind(fo);
    return i;
}

// Rage of students in the specific course
int rageCourse(Element *students, int dim, int codCourse, FILE *fo){
    int cod, cdl;
    int studRegistered = 0;
    float rageStudents;
    
    while (fscanf(fo, "%d%d", &cod, &cdl) == 2){
        if (cdl == codCourse) studRegistered++;
    }
    
    rageStudents = studRegistered * 100 / dim;
    return rageStudents;
}

// Bologna's students
void bolognaStudents(FILE *fo2, int dimLogic){
    FILE *bologna;
    int cod, cap;
    char name[21], surname[31], address[31], city[31];
    int i;
    
    bologna = fopen("/Users/pumo93/Documents/XCode/es_2-File/es_2-File/bologna.txt", "w");
    if (bologna == NULL) {
        printf("Error opening file dati.txt"); exit(1); }
    
    fprintf(bologna, "Students who live in Bologna are:\n\n");
    i = 0;
    while (fscanf(fo2, "%d%s%s%s%s%d", &cod, name, surname, address, city, &cap) == 6){
        if (strcmp(city, "Bologna") == 0) {
            fprintf(bologna, "Code: %d, Fullname: %s %s\n", cod, name, surname);
        }
        i++;
    }
    
    fclose(bologna);
}